If you are using vCloud Director 5.x, once you've upgraded to NSX, you must made a database change to prevent legacy vShield Edge appliances being deployed as NSX Edge appliances.

About this task

It is important not to upgrade legacy edge services gateways to VMware NSX 6.x because this will break vCloud Director compatibility. vCloud Director 5.x will upgrade an Edge on vCloud Director when an Edge is redeployed. To prevent this behavior, the following vCloud Director database change is necessary prior to vCloud Network and Security migration.

For more information, see the following VMware Knowledge Base articles: http://kb.vmware.com/kb/2096351 and http://kb.vmware.com/kb/2108913.

Procedure

  1. Log in to the vCloud Director SQL Server database.
  2. Add this line to the config table.
    INSERT INTO config (cat, name, value, sortorder) VALUES ('vcloud','networking.edge_version_for_vsm6.2', '5.5', 0);
    Note:

    Use networking.edge_version_for_vsm6.1 if NSX 6.1 is used or networking.edge_version_for_vsm6.0 if NSX 6.0 is used.